org.apache.storm.daemon.ui.exceptionmappers

## Class ExceptionMapperUtils

- java.lang.Object
- - org.apache.storm.daemon.ui.exceptionmappers.ExceptionMapperUtils

-     public class ExceptionMapperUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionMapperUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.ws.rs.core.Response` | `getResponse(AuthorizationException ex, javax.inject.Provider<javax.servlet.http.HttpServletRequest> request)` getResponse.
    `static javax.ws.rs.core.Response` | `getResponse(Exception ex, javax.inject.Provider<javax.servlet.http.HttpServletRequest> request)` getResponse.
    `static javax.ws.rs.core.Response` | `getResponse(Exception ex, javax.ws.rs.core.Response.Status responseStatus, javax.inject.Provider<javax.servlet.http.HttpServletRequest> request)` getResponse.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionMapperUtils

          public ExceptionMapperUtils()

  - ### Method Detail

    - #### getResponse

          public static javax.ws.rs.core.Response getResponse(Exception ex,
                                                              javax.ws.rs.core.Response.Status responseStatus,
                                                              javax.inject.Provider<javax.servlet.http.HttpServletRequest> request)

      getResponse.

      Parameters:
        `ex` - ex
        `responseStatus` - responseStatus
      Returns:
        getResponse

    - #### getResponse

          public static javax.ws.rs.core.Response getResponse(AuthorizationException ex,
                                                              javax.inject.Provider<javax.servlet.http.HttpServletRequest> request)

      getResponse.

      Parameters:
        `ex` - ex
        `request` - request
      Returns:
        getResponse

    - #### getResponse

          public static javax.ws.rs.core.Response getResponse(Exception ex,
                                                              javax.inject.Provider<javax.servlet.http.HttpServletRequest> request)

      getResponse.

      Parameters:
        `ex` - ex
      Returns:
        getResponse

Copyright © 2021 The Apache Software Foundation. All rights reserved.